Intel® Quartus® Prime Pro Edition User Guide: Partial Reconfiguration

Download
ID 683834
Date 1/11/2022
Public

A newer version of this document is available. Customers should click here to go to the newest version.

Document Table of Contents

2.15. Exporting a Version-Compatible Compilation Database for PR Designs

Using version-compatible databases, you can import the base revision of a PR design to a later version of the Intel® Quartus® Prime software, and then compile the PR revisions in the later version of software, without recompiling the static region.

This technique is helpful when you want to compile and generate bitstreams for the PR implementation revisions with a later version of the Intel® Quartus® Prime software. Configuration bitstreams are not version-compatible, and you must generate all bitstreams from the same version of the Intel® Quartus® Prime software.

After migrating the base revision to a later version of the Intel® Quartus® Prime software, the bitstream you generate is only compatible with bitstreams from PR implementation compilations using that same Intel® Quartus® Prime software version. Such a bitstream is incompatible with the PR bitstreams from an earlier version of the Intel® Quartus® Prime software.

The Intel® Quartus® Prime Pro Edition software supports version-compatible databases for PR designs for the following software versions and devices:

Table 10.  Version-Compatible Compilation Database SupportThe first table column indicates the first version to support version-compatible compilation database export for the specified devices.
Note:
  • Database import supports two major versions back. For example, a database that you export from version 19.3, you can then import using version 19.3, 20.1, and 20.3. However, you cannot import version 19.3 to 21.1.
  • You can export from any version that follows a supported version, as long as the version still supports the devices.
First Version with 'Export Design' Support Intel® Stratix® 10 and Intel® Agilex™ Devices Intel® Arria® 10 and Intel® Cyclone® 10 GX Devices
18.0 No Support. Supports all devices.
18.1
  • 1SG250L
  • 1SG280H_S2
  • 1SG280L
  • 1SG280L_S3
  • 1SX250L
  • 1SX280L
  • 1SX280L_S3
Supports all devices.
19.1
  • 1SM16BH
  • 1SM21BH
  • 1SM16CH
  • 1SM21CH
  • 1SM21KH
  • 1SM16KH
  • 1SM21LH
  • 1SM16LH
Supports all devices.
19.3
  • 1SG10MH_U1
  • 1SG10MH_U2
  • 1ST250E
  • 1ST280E
  • 1SM16E
  • 1SM21E
  • 1ST165E
  • 1ST210E
  • 1SG166H
  • 1SG211H
Supports all devices.
20.1
  • 1SD280P
  • 1ST040E
  • 1ST085E
  • 1ST110E
Supports all devices.
20.3
  • 1SD21BP
  • 1SG040H
  • 1SX040H
Supports all devices.
20.4
  • 1SN21BH
  • 1SN21CE
Supports all devices.

The following topics describe the version-compatible database generation flow and steps.

Did you find the information on this page useful?

Characters remaining:

Feedback Message